org.apache.jmeter.assertions

## Class SMIMEAssertionTestElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.assertions.SMIMEAssertionTestElement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Assertion, Searchable, TestElement

      public class SMIMEAssertionTestElement
      extends AbstractTestElement
      implements java.io.Serializable, Assertion

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMIMEAssertionTestElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIssuerDn()`
    `AssertionResult` | `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
    `java.lang.String` | `getSignerCertFile()`
    `java.lang.String` | `getSignerDn()`
    `java.lang.String` | `getSignerEmail()`
    `java.lang.String` | `getSignerSerial()`
    `java.lang.String` | `getSpecificMessagePosition()`
    `int` | `getSpecificMessagePositionAsInt()`
    `boolean` | `isNotSigned()`
    `boolean` | `isSignerCheckByFile()`
    `boolean` | `isSignerCheckConstraints()`
    `boolean` | `isSignerNoCheck()`
    `boolean` | `isVerifySignature()`
    `void` | `setIssuerDn(java.lang.String issuerDn)`
    `void` | `setNotSigned(boolean notSigned)`
    `void` | `setSignerCertFile(java.lang.String signerCertFile)`
    `void` | `setSignerCheckByFile(boolean signerCheckByFile)`
    `void` | `setSignerCheckConstraints(boolean signerCheckConstraints)`
    `void` | `setSignerDn(java.lang.String signerDn)`
    `void` | `setSignerEmail(java.lang.String signerEmail)`
    `void` | `setSignerNoCheck(boolean signerNoCheck)`
    `void` | `setSignerSerial(java.lang.String signerSerial)`
    `void` | `setSpecificMessagePosition(java.lang.String position)`
    `void` | `setVerifySignature(boolean verifySignature)`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### SMIMEAssertionTestElement

          public SMIMEAssertionTestElement()

  - ### Method Detail

    - #### getResult

          public AssertionResult getResult(SampleResult response)

      Description copied from interface: `Assertion`
      Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
      Specified by:
        `getResult` in interface `Assertion`
      Parameters:
        `response` - the SampleResult containing information about the Sample (duration, success, etc)
      Returns:
        the AssertionResult containing the information about whether the assertion passed or failed.

    - #### isVerifySignature

          public boolean isVerifySignature()

    - #### setVerifySignature

          public void setVerifySignature(boolean verifySignature)

    - #### getIssuerDn

          public java.lang.String getIssuerDn()

    - #### setIssuerDn

          public void setIssuerDn(java.lang.String issuerDn)

    - #### isSignerCheckByFile

          public boolean isSignerCheckByFile()

    - #### setSignerCheckByFile

          public void setSignerCheckByFile(boolean signerCheckByFile)

    - #### isSignerCheckConstraints

          public boolean isSignerCheckConstraints()

    - #### setSignerCheckConstraints

          public void setSignerCheckConstraints(boolean signerCheckConstraints)

    - #### isSignerNoCheck

          public boolean isSignerNoCheck()

    - #### setSignerNoCheck

          public void setSignerNoCheck(boolean signerNoCheck)

    - #### getSignerCertFile

          public java.lang.String getSignerCertFile()

    - #### setSignerCertFile

          public void setSignerCertFile(java.lang.String signerCertFile)

    - #### getSignerDn

          public java.lang.String getSignerDn()

    - #### setSignerDn

          public void setSignerDn(java.lang.String signerDn)

    - #### getSignerSerial

          public java.lang.String getSignerSerial()

    - #### setSignerSerial

          public void setSignerSerial(java.lang.String signerSerial)

    - #### getSignerEmail

          public java.lang.String getSignerEmail()

    - #### setSignerEmail

          public void setSignerEmail(java.lang.String signerEmail)

    - #### isNotSigned

          public boolean isNotSigned()

    - #### setNotSigned

          public void setNotSigned(boolean notSigned)

    - #### getSpecificMessagePosition

          public java.lang.String getSpecificMessagePosition()

    - #### getSpecificMessagePositionAsInt

          public int getSpecificMessagePositionAsInt()

    - #### setSpecificMessagePosition

          public void setSpecificMessagePosition(java.lang.String position)

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.